import 'package:libaqueous/src/api/events/model/event.dart';
import 'package:libaqueous/src/client/room/room.dart';
import 'package:libaqueous/src/client/room/room_state.dart';
import 'package:libaqueous/src/client/user/user.dart';

class InitialSyncCompleted {}

class RoomNotificationCountChanged {
  int count;

  RoomNotificationCountChanged(this.count);
}

class NewUser {
  User user;

  NewUser(this.user);
}

class NewRoom {
  Room room;

  NewRoom(this.room);
}

class RoomNewEvent {
  Room room;
  Event event;

  RoomNewEvent(this.room, this.event);
}

class RoomHistoricalEvent {
  Room room;
  Event event;

  RoomHistoricalEvent(this.room, this.event);
}

class RoomStateChanged {
  Room room;
  RoomState state;

  RoomStateChanged(this.room, this.state);
}
